<%@ page import="com.synametrics.xeams.rulesengine.*, com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*, com.synametrics.commons.util.*, com.synametrics.xeams.util.*" %>
<%
List sideButtons = new ArrayList(5);
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "ModifyFilters");


%>
<%@ include file="NewPageHeader.jsp" %>



<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">

<td>


<%@ include file="CurrentProfileName.jsp" %>
<%@ include file="LicenseWarning.jsp" %>



<h3>Message Scoring</h3>

<p>
<%= productName %> uses a sophisticated score
based filtering system to determine if an email should
be considered junk. Every email that you receive is assigned a score. Based
on its score, an email falls into one of these three
categories:
<ul>
<li><b>Good Emails</b></li>
<li><b>Possible Junk</b></li>
<li><b>Junk Emails</b></li>

</ul>


Every rule in <%= productName %> can change the score of a message. These rules are sub-categorized for your convenience
below.


</p>
<p>

    <table width="100%" bgcolor="#DDDDDD" cellpadding="2" cellspacing="1">
        <tr bgcolor="White">
            <td valign="top" width="25%"><a href="<%=response.encodeURL("FrontController?operation=137") %>">Score Configuration</a></td>
            <td valign="top">Modify global scoring values.<br><br></td>
        </tr>
        <tr bgcolor="White">
            <td valign="top"><a href="<%=response.encodeURL("FrontController?operation=138") %>">Adaptive Filters</a></td>
            <td valign="top">Manage filters that learn from previously received messages.<br><br></td>
        </tr>
        <tr bgcolor="White">
            <td valign="top"><a href="<%=response.encodeURL("FrontController?operation=139") %>">Content Filters</a></td>
            <td valign="top">Manage filters that assign scores based on the email content, such as
                attachments, subject, body and headers.<br><br></td>
        </tr>
        <tr bgcolor="White">
            <td valign="top"><a href="<%=response.encodeURL("FrontController?operation=140") %>">IP Filters</a></td>
            <td valign="top">IP Filters check the IP address of the sender and take appropriate actions.<br><br></td>
        </tr>
        <tr bgcolor="White">
            <td valign="top"><a href="<%=response.encodeURL("FrontController?operation=141") %>">Honey Pot</a></td>
            <td valign="top">Honey Pot is a mechanism that invites spammers to send junk
                emails to pre-determined addresses. <%= productName %> then makes
           itself smarter by learning what is sent to these addresses.<br><br></td>
        </tr>
        <tr bgcolor="White">
            <td valign="top"><a href="<%=response.encodeURL("FrontController?operation=142") %>">SPF</a></td>
            <td valign="top">Prevent message forgery with Sender Policy Framework.<br><br></td>
        </tr>
        <tr bgcolor="White">
            <td valign="top"><a href="<%=response.encodeURL("FrontController?operation=143") %>">Message Size.</a></td>
            <td valign="top">Specify how to handle large messages.<br><br></td>
        </tr>
        <tr bgcolor="White">
            <td valign="top"><a href="<%=response.encodeURL("FrontController?operation=144") %>">Policy Violation Alerts</a></td>
            <td valign="top">Manage company policies and alerts.<br><br></td>
        </tr>
        <tr bgcolor="White">
            <td valign="top"><a href="<%=response.encodeURL("FrontController?operation=145") %>">Actions</a></td>
            <td valign="top">Configure the final destination of a message.<br><br></td>
        </tr>
    </table>


</p>









</td>
</tr>
</table>


<%@ include file="NewPageFooter.jsp" %>
