<%@ page import="com.synametrics.xeams.rulesengine.*, com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*, com.synametrics.commons.util.*, com.synametrics.xeams.util.*" %>
<%
List sideButtons = new ArrayList(5);
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "ModifyFilters");


%>
<%@ include file="NewPageHeader.jsp" %>



<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">

<td>



<a href="<%=response.encodeURL("FrontController?operation=3") %>">&lt;&lt; Back to filter management</a><br>


<%@ include file="CurrentProfileName.jsp" %>
<%@ include file="LicenseWarning.jsp" %>

<%
RulesProfile aProfile = (RulesProfile)request.getAttribute("RulesProfile");

    if(aProfile == null){
    out.println("Error. Rules profile is null");
    return;
    }

String enableSpf = aProfile.getSpfFilter().isEnabled() ? " checked " : " ";

%>
<h3>Sender Policy Framework (SPF)</h3>

<p><a name="spf"></a>
<%@ include file="RedBorderTableTop.jsp" %>
SPF Lookup
<%@ include file="RedBorderTableMiddle.jsp" %>


    Sender Policy Framework stops email address forgery and makes it easier to identify spam, worms and viruses.
    Many companies on the Internet have started using SPF records in their DNS server. To learn more about SPF,
    visit <a href="<%=com.synametrics.xeams.util.SMFrontResourceHandler.getResourceURL()%>Spf.htm">SPF Page</a>
    on <%= productName %>'s main web site.

    <p>When an email arrives <%= productName %> queries the SPF entries in the DNS and compares it with the IP address
        the message is coming in from. Scores are assigned to the message based on the match. You can adjust these
        scores below.


        <form action="<%= request.getAttribute("appPath") %>" method="post">
        <table>
        	<tr>
                <td valign="top" colspan="2" width="175"><b>Enable SPF: </b> <input type="checkbox" name="chkSpfEnabled" value="on" <%=enableSpf%> /></td>
                <td valign="top"><font size="-2">Uncheck this box if you do not want to use SPF lookups</font></td>
        	</tr>
            <tr><td colspan="3"><br /></td></tr>
			<tr bgcolor="#EDECE3"><td colspan="2"><h3>SPF Scores</h3></td>
            <td align="right"><a href="<%=response.encodeURL("FrontController?operation=194") %>" >Manage Trusted Domains</a>
            </td>
            </tr>

            <tr>
                <td valign="top" align="right"><b>Trusted domain: </b></td>
                <td valign="top"><input type="text" size="3" name="txtSpfTrustedPassScore" value="<%=aProfile.getSpfFilter().getSPFScore().getTRUSTEDPASSScore()%>"/> </td>
				<td valign="top"><font size="-2">Score assigned when email is sent from a published IP and the domain
                is trusted. <a href="<%=response.encodeURL("FrontController?operation=194") %>"><font size="-2">Click here</font></a> to manage trusted domains for SPF filter.</font> <p /></td>
        	</tr>
            <tr>
                <td valign="top" align="right"><b>PASS: </b></td>
                <td valign="top"><input type="text" size="3" name="txtSpfPassScore" value="<%=aProfile.getSpfFilter().getSPFScore().getPASSScore()%>"/> </td>
				<td valign="top"><font size="-2">Score assigned when email is sent from a published IP. Note that
                spammers can use valid domain to send spam. Therefore, do not give too much credit to the email
                if SPF lookup passes</font><p /></td>
        	</tr>
            <tr>
                <td valign="top" align="right"><b>FAIL: </b></td>
                <td valign="top"><input type="text" size="3" name="txtSpfFailScore" value="<%=aProfile.getSpfFilter().getSPFScore().getFAILScore()%>"/> </td>
				<td valign="top"><font size="-2">Score assigned when email address is forged.</font><p /></td>
        	</tr>
            <tr>
                <td valign="top" align="right"><b>NEUTRAL: </b></td>
                <td valign="top"><input type="text" size="3" name="txtSpfNeutralScore" value="<%=aProfile.getSpfFilter().getSPFScore().getNEUTRALScore()%>"/> </td>
        		<td valign="top"><font size="-2">Score assigned when SPF lookup cannot validate the sender's IP</font><p /></td>
            </tr>
            <tr>
                <td valign="top" align="right"><b>SOFTFAIL: </b></td>
                <td valign="top"><input type="text" size="3" name="txtSpfSoftfailScore" value="<%=aProfile.getSpfFilter().getSPFScore().getSOFTFAILScore()%>"/> </td>
                <td valign="top"><font size="-2">Score assigned when the message does not meet a domain's strict
                    definition of legitimacy, but the domain cannot confidently state that the
                    message is a forgery</font><p /></td>
        	</tr>


            <td align="right" colspan="3"><input type="image" class="form_button" src="<%= imagePath %>button_blank.png"></td>

        </table>
		<input  type="hidden" name="operation" value="97"/>
        </form>
    </p>

<%@ include file="RedBorderTableBottom.jsp" %>
</p>









</td>
</tr>
</table>


<%@ include file="NewPageFooter.jsp" %>
