<%@ page import="com.synametrics.xeams.webfront.servlet.helper.*" %>
<%@ page import="com.synametrics.xeams.net.*" %>
<%@ page import="com.synametrics.xeams.connector.*" %>
<%@ page import="com.synametrics.xeams.rulesengine.*, com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*, com.synametrics.commons.util.*, com.synametrics.xeams.util.*" %>
<%

List sideButtons = new ArrayList(5);
sideButtons.add(new UrlAnchorHolder("Intrusion Detection", "current", true));


//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "MainMenu");
%>

<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>




<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">

<td>











<!-- INTRUSION DETECTION STARTS HERE -->

<p>&nbsp;</p>
<p>


<%@ include file="RedBorderTableTop.jsp" %>
Intrusion Detection
<%@ include file="RedBorderTableMiddle.jsp" %>

<%= productName %> provides a pro-active approach to detect intrusions by malicious users.
Most companies allow SMTP traffic pass through their firewall,
which makes SMTP vulnerable to attacks from intruders. However, before any attack occurs
a malicious user would try to find out as much information as he/she can by
sending messages to your SMTP server. These users usually do not send any e-mails but
connect to your server in order to collect information such as:

<ul>
<li>What type of server you are running
<li>How does your server behave when an invalid command is sent by the client
<li>Who are the users on your server and what are their passwords
<li>Is your server an open relay
</ul>

Therefore, it is important to keep an eye on network connections to your SMTP server that
do not send any e-mails. For more information please refer to a
<a href="<%=com.synametrics.xeams.util.SMFrontResourceHandler.getResourceURL()%>IntrusionDetection.htm">white paper</a> on <%= productName %>'s
web site.

The following table
shows a summary of connections that terminated without sending an actual email.
<p>
<font color="CC0000"><b>IMPORTANT</b></font>
The intrusion logs are reset every time the Rules Engine starts. If you need these
logs for future reference, you must copy the files in the $<%= productName.replace(' ','_').toUpperCase() %>/logs directory to a different location,
where $<%= productName.replace(' ','_').toUpperCase() %> is the directory <%= productName %> is installed.
</p>
<table cellspacing="0" cellpadding="2" width="100%">

<tr bgcolor="black">
<th align="left"><font color="White">Type of termination</font></th>
<th align="left"><font color="White">Number of occurences</font></th>
<th align="left"><font color="White">Action</font></th>
</tr>

<tr>
<td valign="top"><b>Terminated after creation:</b></td>
<td valign="top"><%=IntrusionDetector.getInstance().getTotalByType(IntrusionDetector.SOCKETCONN) %></td>
<td><a href="<%=response.encodeURL("FrontController?operation=39") %>&type=<%=IntrusionDetector.SOCKETCONN%>&maxRecords=250">Log Summary</a></td>
</tr>

<tr bgcolor="#EDECE3">
<td valign="top"><b>Terminated after Hello:</b></td>
<td valign="top"><%=IntrusionDetector.getInstance().getTotalByType(IntrusionDetector.HELLO) %></td>
<td><a href="<%=response.encodeURL("FrontController?operation=39") %>&type=<%=IntrusionDetector.HELLO%>&maxRecords=250">Log Summary</a></td>
</tr>



<tr>
<td valign="top"><b>Terminated after providing recipient:</b></td>
<td valign="top"><%=IntrusionDetector.getInstance().getTotalByType(IntrusionDetector.RCPT_TO) %></td>
<td><a href="<%=response.encodeURL("FrontController?operation=39") %>&type=<%=IntrusionDetector.RCPT_TO%>&maxRecords=250">Log Summary</a></td>
</tr>

<tr bgcolor="#EDECE3">
<td valign="top"><b>Terminated after authenication:</b></td>
<td valign="top"><%=IntrusionDetector.getInstance().getTotalByType(IntrusionDetector.AUTH) %></td>
<td><a href="<%=response.encodeURL("FrontController?operation=39") %>&type=<%=IntrusionDetector.AUTH%>&maxRecords=250">Log Summary</a></td>
</tr>
<!--
<tr>
<td valign="top"><b>Normal termination:</b></td>
<td valign="top"><%=IntrusionDetector.getInstance().getTotalByType(IntrusionDetector.DATA) %></td>
<td><a href="<%=response.encodeURL("FrontController?operation=39") %>&type=<%=IntrusionDetector.DATA%>&maxRecords=250">Log Summary</a></td>
</tr>
-->
<tr>
<td valign="top"><b>Terminated due to timeout:</b></td>
<td valign="top"><%=IntrusionDetector.getInstance().getTotalByType(IntrusionDetector.TIMEOUT) %></td>
<td><a href="<%=response.encodeURL("FrontController?operation=39") %>&type=<%=IntrusionDetector.TIMEOUT%>&maxRecords=250">Log Summary</a></td>
</tr>

<tr bgcolor="#EDECE3">
<td valign="top"><b>Total Errors:</b></td>
<td valign="top"><%=IntrusionDetector.getInstance().getTotalByType(IntrusionDetector.ERROR) %></td>
<td><a href="<%=response.encodeURL("FrontController?operation=39") %>&type=<%=IntrusionDetector.ERROR%>&maxRecords=250">Log Summary</a></td>
</tr>

</table>
<%@ include file="RedBorderTableBottom.jsp" %>
</p>

<!-- INTRUSTION DETECTION ENDS HERE -->











</td>
<%@ include file="InnerRightGrey.jsp" %>
</tr>
</table>


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
