<%@ page language="java" %>
<%@ page import="com.synametrics.xeams.connector.*" %>
<%@ page import="com.synametrics.xeams.rulesengine.reports.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.synametrics.xeams.rulesengine.*, com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*, com.synametrics.commons.util.*, com.synametrics.xeams.util.*" %>



<%

List sideButtons = new ArrayList(5);
sideButtons.add(new UrlAnchorHolder("Server Configuration", "current", true));

//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "MultiDomain");



com.synametrics.xeams.util.AppConfig smConf = com.synametrics.xeams.util.AppConfig.getInstance();

String boundIPStr = com.synametrics.commons.util.HostInfo.printOptionList(smConf.getSmtpProxyBindIP());



%>







<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>




<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">
<td width="20">
&nbsp;
</td>


<td>





<h2>Profile Selection Screen</h2>
<%= productName %> ISP Edition allows you to create multiple profiles that
that are based on the domain name of sender, recipient or both. When <%= productName %>
is installed first it creates a default profile and every email message is handle
by this profile unless additional profiles are created.

<p>
<table width="100%">
<tr>
<td>Please select appropriate profile to manage.</td>
<td align="right"><a href="<%=response.encodeURL("FrontController?operation=61") %>"><img src="<%= imagePath %>downArrow.gif"  border="0">Add new profile</a></td>
</tr>
</table>

<p>


<table width="100%" bgcolor="#CCCCCC" cellspacing="1" cellpadding="2">
<tr bgcolor="black">
<td align="center" colspan="2"><font color="White"><b>Available Profiles</b></font></td>
</tr>



<!-- DEFAULT PROFILE -->
<tr bgcolor="White">
<td valign="top" width="80"><img src="<%= imagePath %>!_services.jpg"></td>

<%
ReportCollector aCollector = ReportCollectorManager.getInstance().getCollector(1);
int totalSpam = aCollector.getSpamCount();
int totalPossibleSpam = aCollector.getPossibleSpamCount();
int totalGood = aCollector.getGoodCount();
%>
<td>

    <table width="100%">
    <!-- First Row. This has the name -->
    <tr>
    <td valign="top"><a href="<%=response.encodeURL("FrontController?operation=58&pid=1") %>"><font size="+2">Default Profile</font></a></td>
    <td valign="top" align="right"><a href="<%=response.encodeURL("FrontController?operation=58&pid=1") %>">Manage</a></td>
    </tr>

    <tr>
    <td colspan="2" valign="top">
    <!-- This is the summary area -->

            <table width="100%">
            <tr>
            <td valign="bottom">
                <p>This profile handles email for every domain for which a
                specific profile is not defined. <a href="<%=response.encodeURL("FrontController?operation=58&pid=1") %>">Click here</a>
                to view rules, messages and reports specific to this profile.</p>

                <p>&nbsp; </p>


                <table cellpadding="3" cellspacing="2">
                <tr>
                <td colspan="2"><u><b>Email Statistics:</b></u></td>
                </tr>

                <tr>
                <td>Spam Messages: </td><td><%=totalSpam%></td>
                </tr>
                <tr>
                <td>Possible Spam Messages: </td><td><%=totalPossibleSpam%></td>
                </tr>
                <tr>
                <td>Good Messages: </td><td><%=totalGood%></td>
                </tr>
                </table>

            </td>
            <td valign="top">
            <img src="ImageController?operation=1&totalGood=<%=totalGood%>&totalSpam=<%=totalSpam%>&totalPossible=<%=totalPossibleSpam%>">
            </td>
            </tr>
            </table>


    </td>
    </tr>

    </table>

</td>
</tr>

<!-- DEFAULT PROFILE ENDS HERE -->

<%
int[] allProfiles = ProfileSelector.getInstance().getAllProfileId();

String currentProfileName = "";
int currentProfileId = 1;
String currentSender = "";
String currentRecipient = "";

for(int i = 0; allProfiles != null && i < allProfiles.length; i++){


currentProfileId = allProfiles[i];

if(currentProfileId <= 1){
    continue;
}
currentProfileName = ProfileSelector.getInstance().getProfileName(allProfiles[i]);
currentSender = ProfileSelector.getInstance().getSender(i);
currentRecipient = ProfileSelector.getInstance().getRecipient(i);


aCollector = ReportCollectorManager.getInstance().getCollector(currentProfileId);
totalSpam = aCollector.getSpamCount();
totalPossibleSpam = aCollector.getPossibleSpamCount();
totalGood = aCollector.getGoodCount();

%>

<!-- CUSTOM PROFILE STARTS HERE -->

<!--
<tr bgcolor="White">
<td><%=ProfileSelector.getInstance().getProfileName(allProfiles[i])%> </td>
<td><a href="<%=response.encodeURL("FrontController?operation=58") %>&pid=<%=allProfiles[i]%>">Manage</a> |
<a href="<%=response.encodeURL("FrontController?operation=61") %>&id=<%=i%>">Edit</a> |
<a href="<%=response.encodeURL("FrontController?operation=63") %>&id=<%=i%>">Delete</a></td>
</tr>

-->
<tr bgcolor="White">
<td valign="top" width="80"><img src="<%= imagePath %>!_services.jpg"></td>

<td>

    <table width="100%">
    <!-- First Row. This has the name -->
    <tr>
    <td valign="top"><a href="<%=response.encodeURL("FrontController?operation=58") %>&pid=<%=currentProfileId%>"><font size="+2"><%=currentProfileName%></font></a></td>
    <td valign="top" align="right">
    <a href="<%=response.encodeURL("FrontController?operation=58") %>&pid=<%=currentProfileId%>">Manage</a> |
    <a href="<%=response.encodeURL("FrontController?operation=61") %>&id=<%=i%>">Edit</a> |
    <a href="<%=response.encodeURL("FrontController?operation=63") %>&id=<%=i%>">Delete</a> |
    </td>
    </tr>

    <tr>
    <td colspan="2" valign="top">
    <!-- This is the summary area -->

            <table width="100%">
            <tr>
            <td valign="bottom">
                <p>This profile handles email for every domain where<br><br>
                <u>FROM</u> matches <%=currentSender%> and/or <br>
                <u>TO/CC/BCC</u> matches <%=currentRecipient%><br><br>
                <a href="<%=response.encodeURL("FrontController?operation=58") %>&pid=<%=currentProfileId%>">Click here</a>
                to view rules, messages and reports specific to this profile.</p>




                <table cellpadding="3" cellspacing="2">
                <tr>
                <td colspan="2"><u><b>Email Statistics:</b></u></td>
                </tr>

                <tr>
                <td>Spam Messages: </td><td><%=totalSpam%></td>
                </tr>
                <tr>
                <td>Possible Spam Messages: </td><td><%=totalPossibleSpam%></td>
                </tr>
                <tr>
                <td>Good Messages: </td><td><%=totalGood%></td>
                </tr>
                </table>

            </td>
            <td valign="top">
            <img src="ImageController?operation=1&totalGood=<%=totalGood%>&totalSpam=<%=totalSpam%>&totalPossible=<%=totalPossibleSpam%>">
            </td>
            </tr>
            </table>


    </td>
    </tr>

    </table>

</td>
</tr>


<!-- CUSTOM PROFILE ENDS HERE -->


<%
}
%>

</table>
</p>
<table width="100%">
<tr>
<td><font color="white">Please select appropriate profile to manage.</font></td>
<td align="right"><a href="<%=response.encodeURL("FrontController?operation=61") %>"><img src="<%= imagePath %>downArrow.gif" border="0">Add new profile</a></td>
</tr>
</table>






</td>


<%@ include file="InnerRightGrey.jsp" %>
</tr>
</table>


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>

