<%@ page import="com.synametrics.xeams.rulesengine.*, com.synametrics.xeams.util.*" %>
<%@ page import="java.util.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>


<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">
<%@ include file="LeftButtons.jsp" %>


<td>
<%
EmailCheckResult theResult = (EmailCheckResult)request.getAttribute("theResult");

if(theResult == null){
   out.println("<h1>No results available</h1>");
   return;
}

String category = "Unknown";

if(theResult.getMsgType() == RulesProfile.GOOD){
    category = "<font color=\"#00DD00\">Good</font>";
}else if(theResult.getMsgType() == RulesProfile.SPAM){
    category = "<font color=\"Red\">Spam</font>";
}else if(theResult.getMsgType() == RulesProfile.POSSIBLE_SPAM){
    category = "<font color=\"Blue\">Possible Spam</font>";
}

long[] perfTime = theResult.getPerfTime();
%>

<font size="+2">This is a <%=category%> message</font>
<p>
<u><b>Reason:</b></u>

<%= ReasonFormatter.generateHTML(theResult.getReason().toString(), "")%>


<p>
Total Score: <b><%=theResult.getFinalScore()%></b>
<p>
<hr>
<b>Performance Metrics</b>
<table cellspacing="5" cellpadding="0">
<tr>
<td>Message preparation took </td><td><%=perfTime[EmailCheckResult.PI_POST_FORMATTED_OBJ_CREATE] - perfTime[EmailCheckResult.PI_PRE_FORMATTED_OBJ_CREATE]%> (ms)</td>
</tr>
<tr>
<td>Attachemnt filters took </td><td><%=perfTime[EmailCheckResult.PI_POST_ATTACHMENT] - perfTime[EmailCheckResult.PI_PRE_ATTACHMENT]%> (ms)</td>
</tr><tr>
<td>Bayesian filter took </td><td><%=perfTime[EmailCheckResult.PI_POST_BAYESIAN] - perfTime[EmailCheckResult.PI_PRE_BAYESIAN]%> (ms)</td>
</tr><tr>
<td>Body filters took </td><td><%=perfTime[EmailCheckResult.PI_POST_BODY] - perfTime[EmailCheckResult.PI_PRE_BODY]%> (ms)</td>
</tr><tr>
<td>Custom filters took </td><td><%=perfTime[EmailCheckResult.PI_POST_CUSTOM] - perfTime[EmailCheckResult.PI_PRE_CUSTOM]%> (ms)</td>
</tr><tr>
<td>Header filters took </td><td><%=perfTime[EmailCheckResult.PI_POST_HEADER] - perfTime[EmailCheckResult.PI_PRE_HEADER]%> (ms)</td>
</tr><tr>
<td>Subject filters took </td><td><%=perfTime[EmailCheckResult.PI_POST_SUBJECT] - perfTime[EmailCheckResult.PI_PRE_SUBJECT]%> (ms)</td>
</tr><tr>
<td>Sender filters took </td><td><%=perfTime[EmailCheckResult.PI_POST_SENDER] - perfTime[EmailCheckResult.PI_PRE_SENDER]%> (ms)</td>
</tr><tr>
<td>RBL filters took </td><td><%=perfTime[EmailCheckResult.PI_POST_RBL] - perfTime[EmailCheckResult.PI_PRE_RBL]%> (ms)</td>
</tr>
<tr>
<td>SPF lookup took </td><td><%=perfTime[EmailCheckResult.PI_POST_SPF] - perfTime[EmailCheckResult.PI_PRE_SPF]%> (ms)</td>
</tr>
</table>

<p>
<center><a href="<%= response.encodeURL("FrontController?operation=193") %>"><font size="+2">Test Again</font></a></center>
</td>


<%@ include file="InnerRightGrey.jsp" %>
</tr>
</table>


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
