<%@ page import="com.synametrics.xeams.rulesengine.*, com.synametrics.commons.ip2country.*" %>
<%@ page import="java.util.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr align="left" valign="top">
    <td>
<table width="100%" border="0" cellspacing="2" cellpadding="4"><tr><td>



<%
if(!IP2CountryLookup.isInitialized()){
    out.println("IP-to-country database is not initialized. Try restarting " + productName + " and see if that " +
    	" fixes the problem. Contact technical support if the problem persists");
    return;
}
%>

<h2>Country Filters</h2>
Country filters are based on IP addresses. Every email message contain a series of IP Addresses that belong to
intermediate server that were involved in delivering the message. <%= productName %> analyzes these IP Address,
finds out its country of origin and can assign a score.



<p>
<table width="100%">
    <tr>
        <td>


<table cellpadding="2" cellspacing="1" bgcolor="#CCCCCC" width="500">
	<tr>
        <th bgcolor="#EDECE3" align="left"><font color="#182B46">Country Name</font></th>
        <th bgcolor="#EDECE3" align="left"><font color="#182B46">Score</font></th>
        <th bgcolor="#EDECE3" align="left"><font color="#182B46">Include all IP</font></th>
        <th bgcolor="#EDECE3" align="left"><font color="#182B46">Action</font></th>
	</tr>


    <%
    String odd = "#FFFFFF";
    String even = "#DDDDDD";
    String bgcolor;
    List ipList = (List)request.getAttribute("FilterList");

    CountryFilter aFilter;

    if(ipList != null){
     	for(int i = 0; i < ipList.size(); i++){
			if((i % 2) == 0){
             	bgcolor = odd;
			}else{
             	bgcolor = even;
			}

			aFilter = (CountryFilter)ipList.get(i);
            %>
            <tr bgcolor="<%=bgcolor%>">
                <td><%=aFilter.getCountry()%></td>
                <td><%=aFilter.getScore()%></td>
                <td><%=aFilter.isAllIP() ? "Yes" : "No"%></td>
                <td><a href="<%=response.encodeURL("FrontController?operation=122") %>&index=<%=i%>">Remove</a></td>
            </tr>

            <%
     	}
    }
    %>
</table>


</td>
        <td valign="top">
        <h3>Usage Tip:</h3>
        To modify an existing entry add a new record with the same country name towards the bottom of this screen.
        This will modify existing country rather than creating a new record for it.
        </td>
    </tr>
</table>


</p>
<p>
<h3>Add new country filter</h3>

<form action="<%= request.getAttribute("appPath") %>" method="post">

<table>
	<tr>
        <td valign="top">Country Name:</td>
        <td valign="top"><select name="lstCountryNames" size="1">
        <%=IP2CountryLookup.getInstance().getCountryNamesAsOptionList("")%>
        </select></td>
        <td valign="top"><font size="-1" color="#A0370D"></font></td>
	</tr>

    <tr>
        <td valign="top">Score:</td>
        <td valign="top"><input type="text" name="txtScore" value=""/> </td>
        <td valign="top"><font size="-2" color="#A0370D">Score that will be assigned to the email</font></td>
	</tr>

    <tr>
        <td valign="top">Include All IP:</td>
        <td valign="top"><input type="checkbox" name="chkAllIP" checked="checked"/> </td>
        <td valign="top"><font size="-2" color="#A0370D">An email may come through different SMTP servers all
        in different countries. For example, you select Italy as the country name in the filter. Let us say a message
        originates from China, goes through a server in Italy and Germany and finally arrive to your SMTP server. When this
        option is checked, a score will be assigned since Italy is the second SMTP server in chain.
        However, when this option is NOT checked, a score will be assigned only if the Italian server is the
        last server in the chain.</font></td>
	</tr>
    <tr>
        <td></td>

        <td valign="top"><input type="image" class="form_button" src="<%= imagePath %>button_blank.png"></td>
        <td></td>

    </tr>
</table>
<input type="hidden" value="123" name="operation"/>
</form>




</td></tr></table>
	 </td>
    <%@ include file="InnerRightGrey.jsp" %>
	</tr>
</table>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
