<%@ page import="com.synametrics.xeams.webfront.servlet.helper.*" %>
<%@ page import="com.synametrics.xeams.net.*" %>
<%@ page import="com.synametrics.xeams.connector.*" %>
<%@ page import="com.synametrics.xeams.rulesengine.*, com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*, com.synametrics.commons.util.*, com.synametrics.xeams.util.*" %>
<%

List sideButtons = new ArrayList(5);
sideButtons.add(new UrlAnchorHolder("Home Page", "current", true));



//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "MainMenu");
%>
<%@ include file="CommonButtons.jsp" %>
<%
sideButtons.add(new UrlAnchorHolder("Restart Xeams", "FrontController?operation=70", false));
%>
<%@ include file="NewPageHeader.jsp" %>


<%

pageIdentifier = 2;  //Used by SecondPageHeader.jsp file to display additional buttons

String memoryUsed = (String)request.getAttribute("MemoryUsed");
String allocatedMemory = (String)request.getAttribute("AllocatedMemory");
String runningFor = (String)request.getAttribute("RunningFor");
String goodCount = (String)request.getAttribute("GoodCount");
String spamCount = (String)request.getAttribute("SpamCount");
String possibleCount = (String)request.getAttribute("PossibleCount");
String totalCount = (String)request.getAttribute("TotalCount");

String smtpServerStatus;

if(ProxyConnector.getInstance().getStatus() == ProxyConnector.RUNNING){
    smtpServerStatus = "<font color=\"#00CC00\"><b>Running</b></font>";
}else if(ProxyConnector.getInstance().getStatus() == ProxyConnector.STOPPED){
    smtpServerStatus = "<font color=\"#A0370D\"><b>Not Running</b></font> SMTP server must be running in order to accept mail. Please make sure no other process is listening on the SMTP port and restart the rules engine";
}else {
    smtpServerStatus = "<font color=\"#A0370D\"><b>Status Unknown</b></font> SMTP server must be running in order to accept mail. Please make sure no other process is listening on the SMTP port and restart the rules engine";
}


Iterator allLogRecords = (Iterator)request.getAttribute("LogRecords");


%>

<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">



<td>



<table width="600" border="0" cellspacing="2" cellpadding="4">
      <tr>
        <td>

<%@ include file="RedBorderTableTop.jsp" %>
Server status: Running
<%@ include file="RedBorderTableMiddle.jsp" %>

<table cellspacing="5">

<tr>
<td valign="top" width="230"><b>SMTP Server:</b></td>
<td valign="top" width="370" colspan="2"><%=smtpServerStatus%></td>
</tr>


<tr>
<td valign="top" width="230"><b>Memory Used:</b></td>
<td valign="top" width="70"><%=memoryUsed%></td>
<td valign="top" width="300"><font size="-2">Total memory used by Rules Engine<br></font></td>
</tr>

<tr>
<td valign="top"><b>Allocated memory:</b></td>
<td valign="top"><%=allocatedMemory%></td>
<td valign="top"><font size="-2">Amount of memory reserved by Rules Engine for future use<br></font></td>
</tr>

<tr>
<td valign="top"><b>Server running for:</b></td>
<td valign="top"><%=runningFor%></td>
<td valign="top"><font size="-2"><br></font></td>
</tr>

<tr>
<td valign="top"><b>Total Messages:</b></td>
<td valign="top"><%=totalCount%></td>
<td valign="top"><font size="-2"> <br></font></td>
</tr>

<tr>
<td valign="top"><b>Total Good Messages:</b></td><td><%=goodCount%></td>
<td valign="top"><font size="-2"> <br></font></td>
</tr>

<tr>
<td valign="top"><b>Total Spam Messages:</b></td>
<td valign="top"><%=spamCount%></td>
<td valign="top"><font size="-2"> <br></font></td>
</tr>

<tr>
<td valign="top"><b>Total Possible Spam:</b></td>
<td valign="top"><%=possibleCount%></td>
<td valign="top"><font size="-2"> <br></font></td>
</tr>

<tr>
<td valign="top"><b>Parallel SMTP Connections:</b></td>
<td valign="top"><%=IntrusionDetector.getInstance().getActiveCount() %></td>
<td valign="top"><font size="-2">Number of active SMTP connection right now.<br></font></td>
</tr>

<tr>
<td valign="top"><b>Maximum parallel SMTP Connections:</b></td>
<td valign="top"><%=IntrusionDetector.getInstance().getMaxActive() %></td>
<td valign="top"><font size="-2">The is maximum number of simultaneous active connections since the server came up<br></font></td>
</tr>

</table>

<%@ include file="RedBorderTableBottom.jsp" %>




<p><br />
<%@ include file="RedBorderTableTop.jsp" %>
Admin access log
<%@ include file="RedBorderTableMiddle.jsp" %>


<table cellspacing="0" cellpadding="2" width="100%">
<th align="left" valign="top">IPAddress</th>
<th align="left" valign="top">First Access</th>
<th align="left" valign="top">Last Access</th>
<th align="left" valign="top">Rules added</th>
<th align="left" valign="top">Modified rules</th>
<th align="left" valign="top">Downloaded emails</th>
<th align="left" valign="top">Password changed</th>
<th align="left" valign="top">Viewed emails</th>
<th align="left" valign="top">Restored emails</th>

<%
    while(allLogRecords.hasNext()){
        AdminLogRecord aLogRec = (AdminLogRecord)allLogRecords.next();

%>
<tr>
<td align="left" valign="top"><%=aLogRec.getIpAddress()%></td>
<td align="left" valign="top"><%=aLogRec.getFirstAccessTimeStr()%></td>
<td align="left" valign="top"><%=aLogRec.getLastAccessTimeStr()%></td>
<td align="left" valign="top"><%=aLogRec.isAddRules()%></td>
<td align="left" valign="top"><%=aLogRec.isModifiedRules()%></td>
<td align="left" valign="top"><%=aLogRec.isDownloadedEmails()%></td>
<td align="left" valign="top"><%=aLogRec.isPasswordChanged()%></td>
<td align="left" valign="top"><%=aLogRec.isViewedEmails()%></td>
<td align="left" valign="top"><%=aLogRec.isRestoredEmails()%></td>
</tr>


<%

    }
%>

</table>
<%@ include file="RedBorderTableBottom.jsp" %>

</p>

		</td>
      </tr>

<tr>
<td>


</td>
</tr>
      <tr>
        <td>





		</td>
      </tr>
    </table>

		  </td>
        </tr>
      </table>



<%@ include file="NewPageFooter.jsp" %>
