<%@ page import="java.util.*, com.synametrics.xeams.mailinglist.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr align="left" valign="top">
    <td>
<table width="100%" border="0" cellspacing="2" cellpadding="4"><tr><td>



<a href="<%=response.encodeURL("FrontController?operation=60") %>">Home</a> &raquo;
<a href="<%=response.encodeURL("FrontController?operation=152") %>">Manage Mailing List</a> &raquo;
Mailing/Discussion List Editor

<h2>Mailing/Discussion List Editor</h2>

<%

String errorMessage = (String)request.getAttribute("errorMessage");
String infoMessage = (String)request.getAttribute("infoMessage");


MailingList mailingList = (MailingList)request.getAttribute("mailingList");
String idx = (String)request.getAttribute("idx");

boolean subscribersExist = mailingList.getEmails().size() > 0;


if(mailingList == null){
	out.println("mailing list is null");
	return;
}

if(idx == null){
	out.println("idx is null");
	return;
}


if(errorMessage != null){
	out.println("<h4>Error:</h4> " + errorMessage);
}

if(infoMessage != null){
	out.println("<div class=\"infoMessage\">" + infoMessage + "</div>");
}
%>





<form action="<%= request.getAttribute("appPath") %>" method="post" class="inputFormTable">
<table class="inputFormTable">
	<tr>
		<th class="inputFormTableHeaderRight">Mailing list's name:</th>
		
		<td>
		<a href="#" tiptext="listName">
                <img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
    	<div id="listName" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
    		A name that is used to refer this mailing list. For example:
    		
    		<ul>
    			<li>Sales Team, OR</li>
    			<li>Engineering Team</li>
    		</ul>
    		
    	</div>
		</td>
		<td><input type="text" name="listName" value="<%=mailingList.getName() %>" />
		
		
    	
    	
    	
    	</td>
	</tr>
	
	
	<tr>
		<th class="inputFormTableHeaderRight">Email Address:</th>
		<td><a href="#" tiptext="listAddressTip">
                <img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
    	<div id="listAddressTip" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
    		Email address for this mailing list. Any message sent to sent address will get forwarded to all
    		recipients specified for this list. For example:
    		<ul>
    			<li>engineering@yourcompany.com, OR</li>
    			<li>sales@yourcompany.com</li>
    		</ul>
    	</div></td>
		<td><input type="text" name="listAddress" value="<%=mailingList.getListAddress() %>" size="30" /></td>
	</tr>
	
	<!-- Anonymous posting -->
	<tr>
		<th class="inputFormTableHeaderRight">Allow anonymous posting:</th>
		
		<td><a href="#" tiptext="chkAllowAnon">
                <img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
    	<div id="chkAllowAnon" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
    		Check this if you wish to allow non-members to send email to this group. For example, it is good idea to allow 
    		any user to send message to your <b>Sales Team</b> group but not to <b>Engineering Team</b>.
    	</div></td>
    	
		<td><input type="checkbox" name="allowAnonymous" <%=mailingList.isAcceptAnonymously() ? "checked='checked'" : "" %> />
		</td>
	</tr>
	
	
	
	<!-- Allow users to subscribe -->
	<tr>
		<th class="inputFormTableHeaderRight">Allow users to subscribe:</th>
		
		<td><a href="#" tiptext="chkAllowUsers">
                <img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
    	<div id="chkAllowUsers" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
    		The system will handle two additional emails if this box is checked.
    		<ol>
    			<li><b>subscribe-ListName@YourDomain.com</b> - Users can send a message to this email to subscribe for this mailing list</li>
    			<li><b>unsubscribe-ListName@YourDomain.com</b> - Users can send a message to this email to un-subscribe for this mailing list</li>
    		</ol>
    		
    		When this box is NOT checked, only administrator can add/modify subscribers.
    		
    		<br><br>For Example, if the email address of this mailing list is <b>engineering@yourCompany.com</b>,
    		users can send a message to:
    		<br>
    		<b>subscribe-engineering@YourCompany.com</b> to add themselves in the list and<br>
    		<b>unsubscribe-engineering@YourCompany.com</b> to remove themselves from the list
    		<br><br>
    		
    		In either case <%=productName %> will send confirmation emails to verify the user.
    		
    		
    	</div></td>
    	
		<td><input type="checkbox" name="chkAllowAutoSubscription" <%=mailingList.isAllowAutoSubscription() ? "checked='checked'" : "" %> />
		</td>
	</tr>
	
	
	
	
	
	
	<!-- Specify reply to address -->
	<!-- 
	
	Reply-to is now always checked
	<tr>
		<th class="inputFormTableHeaderRight">Specify Reply-To Address:</th>
		
		<td><a href="#" tiptext="chkModifyReplyTo">
                <img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
    	<div id="chkModifyReplyTo" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
    		Check this box if you want users to reply back to the same mailing list. Consider the following scenario.
    		
    		<ul>
    			<li>Mary (mary@somecompany.com) sends an email to this mailing list.</li>
    			<li>John (john@someothercompany.com) reads the message and sends a reply</li>
    			<li>If this option is checked, John's email client will send a reply back to the mailing list. If this option is not checked,
    			reply will be sent to Mary</li>
    		</ul>
    		
    		<b>Important:</b> This option just changes the "Reply-To" header in the email, which can be easily ignored/overwritten by user
    		composing a reply.
    	</div></td>
    	
		<td><input type="checkbox" name="modifyReplyTo" <%=mailingList.isModifyReplyToAddress() ? "checked='checked'" : "" %> />
		</td>
	</tr>
	 -->
	

	<%if(!subscribersExist){ 
		
		if(!idx.equals("-1")){
		%>
		<tr>
		<td></td>
		<td></td>
		<td>&nbsp;</td>
		</tr>
		
		<tr>
			<th class="inputFormTableHeaderRight">Add a subscriber:</th>
			<td><a href="#" tiptext="subscriberTip">
	                <img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
	               
	    	<div id="subscriberTip" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
	    		Subscriber's email address. Enter one subscriber at a time. Newly added addresses will appear below. For example:
	    		
	    		<ul>
	    			<li>John.Abraham@yourcompany.com</li>
	    			<li>Julie.Max@someVendor.com</li>
	    			
	    		</ul>
	    		
	    		
	    		
	    	</div></td>
			<td>
				<input type="text" name="subscriberAddress" value="" size="30" /> 
			</td>
		</tr>	
		<%
		}
		%>
	
	<tr>
		<td></td>
		<td></td>
		<td><input type="submit" value="Save"></td>
	</tr>
	
	<% } %>
	
</table>

<input type="hidden" name="operation" value="155" />
<input type="hidden" name="idx" value="<%=idx %>" />
<input type="hidden" name="modifyReplyTo" value="1" />
	




<% if(subscribersExist){ %>

<br><br>
<table>
<tr>
	<th>Add another subscriber</th>
	<td><a href="#" tiptext="subscriberTip">
                <img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
    	<div id="subscriberTip" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
    		Subscriber's email address. Enter one subscriber at a time. Newly added addresses will appear below. For example:
    		
    		<ul>
    			<li>John.Abraham@yourcompany.com</li>
    			<li>Julie.Max@someVendor.com</li>
    			
    		</ul>
    	</div></td>
	<td><input type="text" name="subscriberAddress" value="" size="30" /></td>
	<td><input type="submit" value="Save"></td>
</tr>
</table>
 

<br><br>
<h4>List of existing subscribers</h4>
<table class="topHeaderTable">
	<tr><th>Subscriber's Email</th><th>Action</th></tr>
	<%
		for(int i = 0; i < mailingList.getEmails().size(); i++){
			String rowClass = (i % 2 == 0) ? "oddRow" : "evenRow";
		%>
		<tr class="<%=rowClass %>"><td><%=mailingList.getEmails().get(i) %></td>
		<td><a href="<%=response.encodeURL("FrontController?operation=156") %>&idx=<%=idx %>&edx=<%=i %>">Remove</a></td></tr>					
		<%
		}
	%>
	
	
</table>
<%
}
%>
			


</form>


</td></tr></table>
	 </td>
    <%@ include file="InnerRightGrey.jsp" %>
	</tr>
</table>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
