<%@ page import="com.synametrics.xeams.rulesengine.*" %>
<%@ page import="java.util.*" %>


<%@ page import="com.synametrics.xeams.util.*, com.synametrics.xeams.bean.*" %>


<%

	List sideButtons = new ArrayList(5);
	sideButtons.add(new UrlAnchorHolder("Manage Aliases", "current", true));

	
//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "AliasManager");
%>


<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>

<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">
<%@ include file="LeftButtons.jsp" %>
<td>

<a href="<%=response.encodeURL("FrontController?operation=60") %>">Home</a> &raquo; Manage Aliases

<h1>Manage Aliases</h1>
Aliases allow you to forward email sent to one address to multiple recipients. For example, you can create an alias for 
<b>sales@YourCompany.com</b> and forward it to <b>john@YourCompany.com</b>, <b>mary@YourCompany.com</b> and <b>bob@SomeOtherDomain.com</b>.

<br><br>John, Mary and Bob will get the email when <b>sales@YourCompany.com</b> is specified in either <b>TO, CC or BCC</b>

<br><br><br>

<%

String errorMsg = (String)request.getAttribute("errorMsg");

if(errorMsg != null && !errorMsg.isEmpty()){
	%>
	<div class="errorBox"><%=errorMsg %></div>
	<%
}

%>

<h3><img alt="Add new alias" src="<%=imagePath%>downArrow.gif">Add a new alias</h3>
<form action="<%= request.getAttribute("appPath") %>" method="post">
<table class="inputFormTable">
	
	<tr>
		<td width="50%"><b>Alias address:</b><br><input type="text" name="aliasName" /></td>
		<td><a href="#" tiptext="titleAliasName">
        	<img src="<%=imagePath%>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' />
        </a>
               
    	<div id="titleAliasName" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
    		Email address that is treated as an alias. For example, <b>sales@yourcompany.com</b> 
    	</div>
    	</td>
	</tr>
	
	<tr>
		<td><b>Forward to:</b><br><input type="text" name="forwardTo" size="40" /></td>
		<td>
		<a href="#" tiptext="titleForwardTo">
        	<img src="<%=imagePath%>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' />
        </a>
               
    	<div id="titleForwardTo" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
    		One or more email address where messages will get forwarded. Use a comma to separate multiple values.
    	</div>
     
		</td>
	</tr>
	
	<tr>
		<td><input type="submit" value="Save"  /></td>
		<td></td>
	</tr>
</table>

<b>NOTE:</b> To modify an existing alias, add a new alias with the existing value. The older alias will be replaced by the newer one.
<input type="hidden" name="operation" value="175">

</form>

<%
List<String> aliases = (List<String>)request.getAttribute("aliases");
List<String> forwards = (List<String>)request.getAttribute("forwards");

if(aliases.size() > 0){
	
%>

<h2>Existing aliases</h2>

<table class="topHeaderTable">
	<tr>
		<th>Alias Address</th>
		<th>Forwards To</th>
		<th>Action</th>
	</tr>
	
	<%
	for(int i = 0; i < aliases.size(); i++){
		%>
		<tr class="<%= ((i % 2) == 0) ? "evenRow" : "oddRow" %>">
			<td><%=aliases.get(i) %></td>
			<td><%=forwards.get(i) %></td>
			<td><a href="<%=response.encodeURL("FrontController?operation=176") %>&email=<%=aliases.get(i)%>">Remove</a></td>
		</tr>
		<%
	}
	%>
	
</table>

<%
	
}

%>




</td>
</tr>
</table>


<%@ include file="NewPageFooter.jsp" %>