<%@ page import="com.synametrics.xeams.rulesengine.*" %>
<%@ page import="java.util.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr align="left" valign="top">
    <td>
<table width="100%" border="0" cellspacing="2" cellpadding="4"><tr><td>




<%@ include file="RedBorderTableTop.jsp" %>
Forwarders management
<%@ include file="RedBorderTableMiddle.jsp" %>



Forwarders can be used to forward selective messages or all messages to another SMTP server. Consider the following example.

<p><img alt="Forwarder Example" src="images/ForwarderExample.gif" /></p>

<p>

Assume you have a backup email server that you want to use as a stand-by in case your
primary email server goes down. Instead of manually backing up your emails and moving them to the backup machine you
can use this forwarding mechanism to move your messages to the backup server.</p>


<%
List forwarders = (List)request.getAttribute("Forwarders");

if(forwarders != null && forwarders.size() > 0){

%>

<p>
    <h3>Existing Forwarders</h3>

    <%
    String white = "#FFFFFF";
    String grey = "#EEEEEE";
    int counter = 0;

    %>
    <table bgcolor="#CCCCCC" width="100%" cellpadding="2" cellspacing="1">
        <tr>
            <th>Recipient's address</th>
            <th>Forward to</th>
            <th>Message type</th>
            <th>Action</th>
        </tr>

    <%
    	for(int i = 0; i < forwarders.size(); i++){
        	ForwarderHolder oneHolder = (ForwarderHolder)forwarders.get(i);
    %>
        <tr bgcolor="<%= ((counter++ % 2) == 0) ? white : grey%>">
            <td><%=oneHolder.getRecipientString()%></td>
            <td><%=oneHolder.getForwardTo()%></td>
            <td><%=oneHolder.getMsgType() == 1 ? "Good Messages" : "All Messages"%></td>
            <td><a href="<%=response.encodeURL("FrontController?operation=131") %>&i=<%=i%>">Remove</a></td>
        </tr>
    <%
    	}
    %>
    </table>
</p>

<%
}
%>
<%@ include file="RedBorderTableBottom.jsp" %>

<p>
    &nbsp;
</p>
<%@ include file="RedBorderTableTop.jsp" %>
Add a new forwarder
<%@ include file="RedBorderTableMiddle.jsp" %>

<p>

			<form action="<%= request.getAttribute("appPath") %>" method="post">
            <table>
                <tr>
                    <td valign="top"><b>Recipient's address:</b></td>
                    <td valign="top"><input type="text" value="" name="txtRecipient"/></td>
                    <td valign="top"><font size="-2">This value is used to match the recipients name. You can use regular expressions. For example:
                    <ul>
                        <li><b>jackson@yourcompany.com</b> - Messages sent to jackson@yourcompany.com will get forwarded</li>

                        <li><b>@yourcompany.com</b> - All messages sent to Yourcompany.com will get forwarded.</li>
                    </ul>
                    </font></td>
                </tr>
                <tr>
                    <td valign="top"><b>Forward to:</b></td>
                    <td valign="top"><input type="text" value="" name="txtIPAddress"/></td>
                    <td valign="top"><font size="-2">IP Address of the machine where messages should be
                    forwarded to.</font></td>
                </tr>
                <tr>
                    <td valign="top"><b>Only good messages</b></td>
                    <td valign="top"><input type="checkbox" checked="checked" name="chkGoodOnly" /></td>
                    <td valign="top"><font size="-2">If checked, spam and possible spam messages will NOT get
                    forwarded</font></td>
                </tr>

                <tr>
                    <td valign="top"><b></b></td>
                    <td valign="top"></td>
                    <td valign="top"><font size="-2"></font></td>
                </tr>

                <tr>
                    <td>&nbsp;</td>
                    <td colspan="2">
                        <input type="submit" value="Proceed"/>
                    </td>
                </tr>
            </table>
            <input type="hidden"  name="operation" value="130"/>
            </form>


            <table border="0">
                <tr>
                <td rowspan="2"><img src="<%= imagePath %>tip.gif" border="0">
                </td><!--<td><font size="+1" color="#A0370D"><b>Usage Tips</b></font> -->

                <td>
                <h3>Usage Tips</h3>
                </td>

                </tr>
                <tr>
                <td>Forwarders are used to forward emails to a secondary SMTP server. You can either forward message
                    for a domain or a particular email address.<br><br></td>
                </tr>

                <tr >
                <td valign="top"></td>
                <td>
                <b>Recipient's Address - </b>Forwarding is done based on recipients address. This value expects
                regular expressions.

                <p>
                    <b>Sending ALL messages to a secondary server - </b>In order to send every messages to a secondary
                server, you need to add all domains that you want to forward. Although, it is possible to write a
                regular expression in the "Recipient's Address" field that will match with every recipient, we
                strongly discouraged doing it. Since <%=productName%> can handle outbound messages as well, it will
                end up sending even those messages to your secondary server.
                </p>

                <b>What happens if the secondary server is down - </b> <%=productName%> will put messages in the Outbound queue
                and will deliver them when the server comes up.

                </td>
                </tr>





                </table>




</p>

<%@ include file="RedBorderTableBottom.jsp" %>








</td></tr></table>
	 </td>
    <%@ include file="InnerRightGrey.jsp" %>
	</tr>
</table>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
