<%@ page import="com.synametrics.xeams.rulesengine.*, com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*, com.synametrics.commons.util.*, com.synametrics.xeams.util.*" %>
<%

List sideButtons = new ArrayList(5);
sideButtons.add(new UrlAnchorHolder("Memory Management", "current", true));

//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "MainMenu");
%>

<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>





<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">

<td>


<%
    long max = Runtime.getRuntime().maxMemory(); //AppConfig.getInstance().getMaxMemory() * 1024000;
    long allocated = Runtime.getRuntime().totalMemory();

    //System.out.println(max);
    //System.out.println(Runtime.getRuntime().maxMemory());

    String allocStr = TGlob.getMemoryAllocated();
    String maxStr = TGlob.getMemoryMax();
    String allocColor;

    allocated = (allocated * 100)/ max;

    if(allocated < 90){
     	allocColor = "Green";
    }else{
     	allocColor = "Red";
    }
    %>

<h2>Memory Management for <%= productName %></h2>

<%= productName %> is currently configured to use a maximum of <b><%=maxStr%></b>. You can change this value to a
higher number if you see the allocated memory close to the maximum memory size. <%= productName %> will never use more
than what you decide to use for Maximum memory.

<h3>Current memory status</h3>
<p align="center">

    <table width="80%" bgcolor="Black" cellspacing="1">
    <tr>
        <td width="<%=allocated%>%" align="right" bgcolor="<%=allocColor%>">&nbsp;</td>
        <td width="<%=100 - allocated%>%" align="right" bgcolor="#CCCCCC">&nbsp;</td>
    </tr>
    </table>
    <table width="80%" cellspacing="1">
    <tr>
        <td width="<%=allocated%>%" align="right"><font size="-2"><%=allocStr%> Allocated</font></td>
        <td width="<%=100 - allocated%>%" align="right"><font size="-2"><%=maxStr%> Max</font>
        </td>
    </tr>
    <tr>
        <td colspan="2">
        <%
        if(allocated < 75){
        %>
        At present, the allocated memory used by <%= productName %> is less than 75%. We do not recommend that you increase the
        maximum memory size at this time.
        <%
        }else{
        %>
        Allocated memory used by <%= productName %> is more than 75%. If this numbers stays above this watermark,
        you might want to increase the maximum memory to a higher number.
        <%
        }
        %>

        </td>
    </tr>
    </table>
</p>

<%@ include file="RedBorderTableTop.jsp" %>
Modify Maximum Memory Size
<%@ include file="RedBorderTableMiddle.jsp" %>
<b>NOTE:</b> If you allocate a higher value for Maximum Memory Size, <%= productName %> will only use it if needed.
<form action="<%= request.getAttribute("appPath") %>" method="post">


    <%
    	String errorMsg = (String)request.getAttribute("ErrorMsg");

        if(errorMsg != null){
        	out.println("<p><font class=\"headtext\">ERROR: </font>" + errorMsg + "</p>");
        }
    %>
    <table>
    <tr>
        <td><b>New Size for Maximum Memory</b></td>
        <td><input type="text" name="txtNewSize" size="4" value="<%=(max / 1024000L)%>"/> MB
        </td>
    </tr>

    <tr><td></td>
        <td><input type="submit" value="Proceed" /></td>
    </tr>
    </table>

    <input type="hidden" name="operation" value="84"/>
</form>

<%@ include file="RedBorderTableBottom.jsp" %>


<h2>How much memory can I allocate to <%= productName %>?</h2>
Theoretically, on a 32bit machine you can allocated up to 2 GB on Windows/Linux/MAC and 4 GB on Solaris, 
provided you have that much memory on the machine. This limit is much higher on a 64bit OS.

From a programs perspective a machine always has <b>PHYSICAL + VIRTUAL</b> memory.

<p>
    <b>Example:</b><br>
    If your machine has 1 GB of Physical memory and 1 GB of Virtual memory, you can allocate 
    up to 2 GB to <%= productName %>.
    However, we only recommend up to 1.75 GB in this case.



<h2>What happens if <%= productName %> runs out of memory?</h2>
If the memory usage in <%= productName %> reaches close to the maximum value it will:
<ul>
    <li>Slow down <%= productName %>.
    <li>Use a lot of CPU cycles trying to find memory pages that are not is use and can be freed.
    <li>Eventually, <%= productName %> will crash. However, in an event of an abnormal crash a watch-dog process
        will try to restart <%= productName %>, which is done without any human interaction. Once <%= productName %>
        is restarted it will free up all used memory.
</ul>







</td>
<%@ include file="InnerRightGrey.jsp" %>
</tr>
</table>


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
