<%@ page import="com.synametrics.xeams.rulesengine.*, com.synametrics.xeams.bean.*, com.synametrics.commons.util.net.* " %>
<%@ page import="java.util.*, com.synametrics.commons.util.*, com.synametrics.xeams.util.*" %>
<%

List sideButtons = new ArrayList(5);
sideButtons.add(new UrlAnchorHolder("Smtp Configuration", "current", true));

//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "SmtpServerConfig");
%>

<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>



<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr align="left" valign="top">
<td>



<a href="<%=response.encodeURL("FrontController?operation=60") %>">Home</a> &raquo;
SMTP Server Configuration








<h2>SMTP Server Configuration</h2>




<%
String enabled = (String)request.getAttribute("StagingServerEnabled");
String smtpPort = (String)request.getAttribute("SmtpPort");
String smtpPort2 = (String)request.getAttribute("SmtpPort2");
String smtpPortSSL = (String)request.getAttribute("SmtpPortSSL");
List<LocalDomain> domainList = (List<LocalDomain>)request.getAttribute("DomainList");
String relayFrom = (String)request.getAttribute("RelayFrom");
String openRelay = (String)request.getAttribute("OpenRelay");
String ndrEnabled = (String)request.getAttribute("ndrEnabled");
String ndrEmail = (String)request.getAttribute("ndrEmail");
String ndrIncludeBodyEnabled = (String) request.getAttribute("ndrIncludeBodyEnabled");
String ndrOnlyForOutboundEmails = (String) request.getAttribute("ndrOnlyForOutboundEmails");
String asyncProcessing = (String)request.getAttribute("AsyncProcessing");
String catchAllRecipient = (String)request.getAttribute("catchAllRecipient");


String closeRelay;

if(openRelay != null && openRelay.equals("true")){
 	openRelay = " checked";
	closeRelay = " ";
}else{
	openRelay = " ";
	closeRelay = " checked";
}



if(enabled != null && enabled.equalsIgnoreCase("true")){
 	enabled = " checked ";
}else{
 	enabled = " ";
}

if(ndrEnabled != null && ndrEnabled.equalsIgnoreCase("true")){
 	ndrEnabled = " checked ";
}else{
 	ndrEnabled = " ";
}

if(ndrEmail == null)
	ndrEmail = "";

if(ndrIncludeBodyEnabled != null && ndrIncludeBodyEnabled.equalsIgnoreCase("true")){
 	ndrIncludeBodyEnabled = " checked ";
}else{
 	ndrIncludeBodyEnabled = " ";
}


if(ndrOnlyForOutboundEmails != null && ndrOnlyForOutboundEmails.equalsIgnoreCase("true")){
    ndrOnlyForOutboundEmails = " checked ";
}else{
    ndrOnlyForOutboundEmails = " ";
}

if(asyncProcessing != null && asyncProcessing.equalsIgnoreCase("true")){
 	asyncProcessing = " checked ";
}else{
    asyncProcessing = " ";
}

String boundIPStr = com.synametrics.commons.util.HostInfo.printOptionList((String)request.getAttribute("BindIP"));

String errorMsg = (String)request.getAttribute("errorMsg");
if(errorMsg != null && errorMsg.length() > 0){
	out.println("<div class=\"errorBox\">ERROR: " + errorMsg + "</div>");		 
}

String infoMessage = (String)request.getAttribute("infoMessage");
if(infoMessage != null && infoMessage.length() > 0){
	out.println("<div class=\"infoMessage\">" + infoMessage + "</div>");		 
}

%>




<h2 class="tab" id="tab1">Basic Configuration</h2>
<div class="section">



<form action="<%= request.getAttribute("appPath") %>" method="post">


<table width="100%" cellspacing="1" cellpadding="2">
<tr bgcolor="White">
    <td valign="top" width="20%"><b>Server enabled:</b></td>
    <td valign="top" width="20%"><input type="checkbox" value="1" name="serverEnabled" <%=enabled%> />
    
    <a href="#" tiptext="titleSmtpEnabled">
                <img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
   	<div id="titleSmtpEnabled" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
   		If checked, SMTP server will run in the background and will accept in coming client connections.
   	</div>
     
    </td>
    
    <td rowspan="7" width="60%">
    <b>IMPORTANT</b> You must <a href="<%=response.encodeURL("FrontController?operation=187") %>">configure SSL</a> before using either SSL or STARTTLS.
    
    <%
    if(request.getAttribute("tomcatNotSecured") != null){
    	%>
    	<br><br><b>WARNING: </b> STARTTLS extension will only work if you have configured the HTTP server to listen on a secure port. 
    	<a href="<%=response.encodeURL("FrontController?operation=158") %>">Click here</a> to specify a secure web server port. 
    	<%
    }
    %>
    </td>
</tr>

<tr bgcolor="White">
    <td valign="top"><b>Enable STARTTLS:</b></td>
    <td valign="top"><input type="checkbox" value="1" name="enableSTARTTLS" <%=request.getAttribute("enableSTARTTLS") == null ? "" : " checked='checked' "%> />
    
    <a href="#" tiptext="titleStartTLS">
                <img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
               
   	<div id="titleStartTLS" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
   		If checked, the STARTTLS extension is turn on. SSL must be configured in order for this option to work.
   	</div>
     
    </td>
</tr>


<tr bgcolor="White">
    <td valign="top"><b>SMTP Port:</b></td>
    <td valign="top"><input name="smtpPort" value="<%=smtpPort%>" size="6" />
    <a href="#" tiptext="titleSmtpPort"><img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
    
    
    	<div id="titleSmtpPort" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
    		TCP/IP port number on which the SMTP server will listen for incoming emails. The default
    		value for this field is 25.
    	</div>
    
        
    </td>
</tr>

<tr bgcolor="White">
    <td valign="top"><b>Secondary&nbsp;SMTP&nbsp;Port:</b></td>
    <td valign="top"><input name="smtpPort2" value="<%=smtpPort2%>" size="6" />
    <a href="#" tiptext="titleSmtpPort2"><img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
    
    
    	<div id="titleSmtpPort2" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
    		Optionally, you can make the SMTP server listen on a secondary port, which is useful if the primary
    		port is blocked by a firewall or ISP for some of the users. Use a -1 to disable it.
    		<br><br>
    		Refer to <a href="http://www.xeams.com/SecondarySmtpPorts.htm">this
    		knowledgebase article</a> for details.
    	</div>
    
        
    </td>
</tr>



<tr bgcolor="White">
    <td valign="top"><b>Secure SMTP Port (SSL):</b></td>
    <td valign="top"><input name="smtpPortSSL" value="<%=smtpPortSSL%>" size="6" />
    <a href="#" tiptext="titleSmtpPortSSL"><img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
    
    
    	<div id="titleSmtpPortSSL" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
    		TCP/IP port number on which the Secure SMTP server (SSL) will listen for incoming emails. The default
    		value for this field is 465.
    	</div>
    
        
    </td>
</tr>

<tr bgcolor="White">
    <td valign="top"><b>Bind To:</b></td>
    <td valign="top">
    	<select name="lstBindIP" size="1"><%=boundIPStr%></select>
    	<a href="#" tiptext="titleBindTo"><img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
    
    
    	<div id="titleBindTo" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
        Binding IP address for the server. If you choose "All unassigned", the server
        will listen on all IP address that are configured for this machine.
        </div>
    </td>
</tr>

<tr>
	<td></td>
	<td><input type="submit" value="Save Config"/></td>
</tr>
</table>

<input type="hidden" name="operation" value="161">

</form>
</div>



<h2 class="tab" id="tab2">Domain Configuration</h2>
<div class="section">	



<h3>Local domain configuration</h3>

This tab contains a list of domain name that are considered local for this server. If this server 
is either configured as a <a href="<%=helpSite %>3Modes.htm">Firewall or hybrid</a> mode, you
will also have to specify the IP address where emails should get forwarded.

<br><br>
<table cellspacing="1" bgcolor="Black" width="80%">
<tr style="background-color: #999999;">
<th style="color:White;">Domain names</th>
<th style="color:White;">Forwarded To</th>
<th style="color:White;">Action</th>
</tr>
<%

String rowColor;
for(int i = 0;i < domainList.size(); i++){
	String oneName = domainList.get(i).getLocalHostName();
	String forwardedIP;
	
	if(AppConfig.getInstance().getServerType() == AppConfig.ST_STAND_ALONE){
		forwardedIP = "N/A";
	}else{
		forwardedIP = domainList.get(i).getForwardToResolveIfNecessary();
		
		if(forwardedIP == null || forwardedIP.trim().length() == 0){
			forwardedIP = "Not specified";
		}
	}
	
	if((i % 2) == 0){
		rowColor = "style='background-color:White;'";
	}else{
		rowColor = "style='background-color:#EEEEEE;'";
	}
	%>
	<tr <%= rowColor%>>
	<td><%=oneName %></td>
	<td><%=forwardedIP %></td>
	<td><a href="<%=response.encodeURL("FrontController?operation=159") %>&domain=<%=oneName %>#tab2">Remove</a></td>
	
	</tr>
	<%
}

%>
</table>

<h3>Add a new domain name</h3>
<form action="<%= request.getAttribute("appPath") %>#tab2" method="post">
<table>
	<tr><td>New domain name:</td>
	<td><input type="text" name="domainname" /></td>
	<td><a href="#" tiptext="titleDomainName"><img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
    
            <div id="titleDomainName" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
            
            Emails sent to local domain are either forwarded to a machine internal to your network or
            to the local drop box. <%=productName %> will always accept an email sent to local domain.  
            Case does not matter when you enter a domain name. For example,
            <ul>
            <li>yourcompany.com</li>
            <li>east.yourcompany.com</li>
            <li>west.yourcompany.com</li>            
            </ul>
            </div></td>
	
	</tr>
	<%
	if(AppConfig.getInstance().getServerType() != AppConfig.ST_STAND_ALONE){
	%>
	<tr><td>Forward to:</td><td><input type="text" name="forwardto" /></td>
	<td><a href="#" tiptext="titleForwardTo"><img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
    
            <div id="titleForwardTo" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
            
            Since your server is configured to run as 
            <a href="<%=helpSite %>3Modes.htm"><b><%=AppConfig.getInstance().getServerTypeString() %></b></a>, you must specify an IP address
            where the message should be forwarded to once it reaches this server.
            </div></td>
	</tr>
	<%	
	}
	%>
	
	<tr><td> </td><td><input type="submit" value="Add domain" /></td></tr>
</table>
<input type="hidden" name="operation" value="160">

</form>


<!-- 
<table width="100%">
	<tr bgcolor="White">	
    <td valign="top"><b>Local Domains:</b></td>	
    <td valign="top">	
           	
        <table>
        <tr>
            <td valign="top"><textarea cols=20 rows=5 name="moreDomains"><%=domainList%></textarea></td>
            <td valign="top">
            	<a href="#" tiptext="titleDomainList"><img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
    
            <div id="titleDomainList" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
            
            A list of domain names for which <%=productName %> should accept emails. These are considered local domains.
            Add one domain per line. Case does not matter. For example,
            <ul>
            <li>yourcompany.com</li>
            <li>east.yourcompany.com</li>
            <li>west.yourcompany.com</li>            
            </ul>
            </div>
            
            </td>
        </tr>
        </table>


    </td>
</tr>	

</table>  -->

</div>


<h2 class="tab" id="tab3">Relaying</h2>
<div class="section">

<form action="<%= request.getAttribute("appPath") %>#tab3" method="post">
<table width="100%">


<tr>
	<td><b>Reject emails for invalid users</b></td>
	<td>
		
		<input type="checkbox" name="rejectEmailsForInvalidUsers" value="true" <%=request.getAttribute("rejectEmailsForInvalidUsers").equals("true") ? "checked" : "" %> />
		<a href="#" tiptext="titleRejectInvalidUsers"><img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
		
		<div id="titleRejectInvalidUsers" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		If checked, emails will only be accepted if a user account is created for the recipient.
        
        </div>
        
    
        
        
	</td>
</tr>






<tr bgcolor="White">
    <td valign="top"><b>SMTP Relaying:</b></td>
    <td valign="top">


	<table>
		<tr><td><input type="radio" name="relay" value="1" <%=openRelay%>> Open Relay</td>
		<td><a href="#" tiptext="titleOpenRelay"><img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a></td>
		
		</tr>
		
		<tr><td><input type="radio" name="relay" value="2" <%=closeRelay%>> Closed Relay</td>
		<td><a href="#" tiptext="titleClosedRelay"><img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a></td>
		
		</tr>
		
		<tr>
			
			<td colspan="2"><textarea cols=20 rows=5 name="relayFrom"><%=relayFrom%></textarea>
			</td>
		</tr>
		
		<tr> 
		<td><input type="submit" value="Save Relay" /></td>
		<td> </td>
		</tr>
	</table>
	
	
	
    
    
    
		<div id="titleOpenRelay" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		Select this option if you want the server to accept emails for every domain. 
        <p>
        <strong>IMPORTANT: </strong>Make sure to block the
        smtp server port from the Internet if you choose to select this option. Failure to do that may result in opening your server
        for relay to general public.
        
        </div>
        
    	<div id="titleClosedRelay" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
    	Relay messages from the following IP Address(es) only. <br><br>
    	Enter one IP per line. You may use wild cards such as 192.168.1.* to accept messages from any IP Address on your local subnet.
            </p>
        </div>

        
    </td>
</tr>



</table>
<input type="hidden" name="operation" value="163" />
</form>

</div>









<h2 class="tab" id="tab4">Advanced Configuration</h2>
<div class="section">

<form action="<%= request.getAttribute("appPath") %>#tab4" method="post">

<table>
	
<tr bgcolor="White">
    <td valign="top" align="right"><b>Asynchronous Processing:</b></td>
    <td valign="top">

        <table>
        	<tr>
                <td valign="top"><input type="checkbox" value="1" name="asyncProcessingEnabled" <%=asyncProcessing%> /> Enable Asynchronous processing</td>
                <td valign="top">
                <a href="#" tiptext="titleAsyncProcessing">
                <img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
                
                <div id="titleAsyncProcessing" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
                When enabled, <%= productName %> will accept messages asynchronously. The sender will never
                get an error message if the message is considered junk.
                </div>
                </td>
        	</tr>


        </table> 
    </td>
</tr>

<tr>
	<td align="right"><b>Grey Listing:</b></td>
	<td>
		
		<input type="checkbox" name="greyListing" value="true" <%=request.getAttribute("greyListing")%> />
		<a href="#" tiptext="titleGreyListing"><img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
		
		<div id="titleGreyListing" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
		If checked, grey listing is enabled. Check http://xeams.com/GreyListing.htm for details.
        
        </div>
        
    
        
        
	</td>
</tr>

<tr bgcolor="White">
    <td valign="top" align="right"><b>Non-delivery Report:</b></td>
    <td valign="top">

        <table>
        	<tr>
                <td valign="top"><input type="checkbox" value="1" name="ndrEnabled" <%=ndrEnabled%> /> Enable NDR</td>
                <td valign="top">
                <a href="#" tiptext="titleEnableNDR">
                <img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
                
                <div id="titleEnableNDR" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
                If checked, <%= productName %> will generate an NDR for every non-delivered email.
                </div>
                </td>
        	</tr>

            <tr>
                <td valign="top"><input type="checkbox" value="1" name="ndrInludeBodyEnabled" <%=ndrIncludeBodyEnabled%> /> Include original</td>
                <td valign="top">
                <a href="#" tiptext="titleIncludeBody">
                <img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
                
                <div id="titleIncludeBody" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
                
                
                If checked, the original message will be attached to the NDR. We recommend that
                you DO NOT check this option.
                
                </div>
                </td>
        	</tr>

            <tr>
                <td valign="top"><input type="checkbox" value="1" name="ndrOnlyForOutboundEmails" <%=ndrOnlyForOutboundEmails%> /> Generate NDRs only for outbound emails</td>
                <td valign="top">
                <a href="#" tiptext="titleNdrInboundOnly">
                <img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
                
                <div id="titleNdrInboundOnly" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
                
                If checked, NDRs will be generated only for outbound emails. This prevents someone else from using your server to bounce back
                spam messages.
                </div>
                
                </td>
        	</tr>

            
        	
        	
        	
        	
        	
        </table>
    </td>
</tr>

<tr>
       <td align="right"><b>Sender's Email:</b> </td>
       <td valign="top">
       <input type="text" name="ndrEmail" value="<%=ndrEmail%>" size="30" />
       <a href="#" tiptext="titleSendersEmail">
       <img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
       
       <div id="titleSendersEmail" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
       
       
       Sender's Email Address for NDR. e.g postmaster@yourdomain.com.
      	</div>
      
      </td>
</tr>


<tr>
      <td align="right"><b>Catch All:</b></td>
      <td valign="top">
      <input type="text" name="catchAllRecipient" value="<%=catchAllRecipient%>" size="30" />
      <a href="#" tiptext="titleCatchAllRecipient">
      <img src="<%=imagePath %>help.gif" style='width:24px;height:24px;float:left;margin:2px 10px 0px 4px;border:0px;' /></a>
      
      <div id="titleCatchAllRecipient" class="balloonstyle" style="width: 430px; background-color: #EDEDE7">
       	When specified, emails sent to invalid users will be sent to this address. <b>Reject invalid users</b> flag is ignored
       	when CatchAll is specified.
      	</div>
      
      </td>
</tr>
        	
        	
<tr>
	<td></td>				
	<td><input type="submit" value="Save Settings"/></td>
	
</tr>
</table>
<input type="hidden" name="operation" value="162" />
</form>
</div>















</td>


<%@ include file="InnerRightGrey.jsp" %>
</tr>
</table>


<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
