<%@ page import="com.synametrics.xeams.rulesengine.*" %>
<%@ page import="com.synametrics.xeams.util.*" %>
<%@ page import="com.synametrics.commons.ip2country.*" %>
<%@ page import="java.util.*" %>

<%@ page import="com.synametrics.xeams.util.*, com.synametrics.xeams.bean.*" %>


<%

	List sideButtons = new ArrayList(5);
	sideButtons.add(new UrlAnchorHolder("IP Report", "current", true));

	
//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "Reports");
%>


<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>



<table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr align="left" valign="top">

          <td width="600">

	<table width="600" border="0" cellspacing="2" cellpadding="4">
      <tr>
        <td>



<%
ArrayList theReport = (ArrayList)request.getAttribute("TheReport");
if(theReport == null){
    out.println("<h1>Internal error occurred. The report object is null<h1>");
    return;
}

String heading = (String)request.getAttribute("Heading");
Set blackedListedIP = (Set)request.getAttribute("BlackListedIP");
%>


<p>
<%@ include file="RedBorderTableTop.jsp" %>
Spammers IP Address
<%@ include file="RedBorderTableMiddle.jsp" %>

<h3><%=heading%></h3>

<p>
<table width="80%" align="center">
<tr><td>This report shows a list of IP address that were used to send spam messages.
<p>
Identifying a spammer is not an easy task. They almost always send emails using an invalid email address
to avoid getting caught. Therefore, black listing an entire domain is not a very good idea. Besides invalid
email addresses, they also try to use someone else's server to send emails. Therefore, it is not a very
good idea to black list an IP address if you have received just a handfull of spam messages.
<p>
We recommend that you black list an IP address if you see more than 20 spam messages coming in from
a server in a week.<p>
<font color="Red"><b>IMPORTANT: </b></font>Sometimes you see IP addresses that belong to your email server
in this list This could happen when spammers fake your domain names in the sender and those messages return back as
undeliverables. Make sure NOT to put your own IP Address(es) in the black list.
</td></tr>
</table>
</p>
<table colpadding="0" cellspacing="0" border="0" align="center" width="100%">
<th bgcolor="#CCCCCC"  align="left"><b>IP Address</b></th>
<th bgcolor="#CCCCCC"  align="left"><b>Origin Country</b></th>
<th bgcolor="#CCCCCC"  align="left"><b># Messages</b></th>
<th bgcolor="#CCCCCC"  align="left"><b>Action</b></th>

<%
boolean showAll = request.getParameter("showAll") != null || System.getProperty("display.all.ipaddresses.in.report", "false").equals("true");
		
String type = (String)request.getAttribute("type");
String actionText;
for(int i = 0; i < theReport.size(); i++){
    NameIntegerPair oneRow = (NameIntegerPair)theReport.get(i);

    if(!showAll && i >= 50) break;


    if(blackedListedIP.contains(oneRow.getName())){
        actionText = "Already black listed";
    }else{
        actionText = "<a href=\"FrontController?operation=36&type="+type+"&ip=" + oneRow.getName() + "\">Add in black list</a>";
    }

    String countryName;
    if(!IP2CountryLookup.isInitialized()){
        countryName = "Unknown";
   }else{
        countryName = IP2CountryLookup.getInstance().getCountryNameFromIP(oneRow.getName());
   }
%>
<tr>
<td><a href="<%=response.encodeURL("FrontController?operation=38") %>&ip=<%=oneRow.getName()%>" target="_blank" alt="WHOIS lookup"><img src="<%= imagePath %>Lookup.gif" border="0"></a><%=oneRow.getName()%></td>
<td><%=countryName%> </td>
<td><%=oneRow.getValue()%></td>
<td><%=actionText%></td>

</tr>


<%
}
%>

</table>


<%@ include file="RedBorderTableBottom.jsp" %>
</p>


	  </td>
	  </tr>
	  </table>

		  </td>
          <%@ include file="InnerRightGrey.jsp" %>
        </tr>
      </table>


<%@ include file="NewPageFooter.jsp" %>
