<%@ page import="com.synametrics.xeams.users.*" %>
<%@ page import="java.util.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr align="left" valign="top">
    <td>
<table width="100%" border="0" cellspacing="2" cellpadding="4"><tr><td>



<%
User currentUser = (User)request.getAttribute("currentUser");
UserFilter currentFilter = (UserFilter)request.getAttribute("currentFilter");

if(currentUser == null){
	out.println("User not available");
	return;
}

String filterName = "";
int totalRuleCount = 0;
int totalActionCount = 0;

if(currentFilter != null){
	filterName = currentFilter.getFilterName();
	totalRuleCount = currentFilter.getRules().size();
	totalActionCount = currentFilter.getActions().size();
}
%>

<a href="<%=response.encodeURL("FrontController?operation=60") %>">Home</a> &raquo;
<a href="<%=response.encodeURL("FrontController?operation=500") %>">User Administration</a> &raquo;
<a href="<%=response.encodeURL("FrontController?operation=527") %>&id=<%=currentUser.getEmail() %>">User Administration</a>

<h2>Rules Editor</h2>



<!-- 
<p>
<table width="100%">
	<tr>
		<td><input type="radio" name="matchType" value="<%=UserFilter.MT_MATCH_ALL %>">Match all of the following</td>
		<td><input type="radio" name="matchType" value="<%=UserFilter.MT_MATCH_ANY %>" checked="checked" >Match any of the following</td><td></td>
	</tr>
</table>
</p> -->
<p>


<table width="100%">
<tr>
	
	<td>
		<table>
		<tr>
			<td><b>User Filter for:</b></td>
			<td><%=currentUser.getEmail() %></td>
			
		</tr>
		<tr>
			<td><b>Filter Name: </b></td>
			<td><%=filterName %></td>
		</tr>
		</table>
	</td>
	
	
	<td align="right">
		<div class="globeCallout_small">
		<table width=305>
		<tr><td>
		Every user filter consists of:
		
		<ul>
		<li>A set of rules that are used for searching</li>
		<li>A set of actions that are performed when a match is found</li>
		</ul>
		</td></tr>
		</table>
		</div>
	</td>
</tr>
</table>




<p>



</p>

<img src="<%=imagePath %>plus16.gif">
<a href="#" onClick="return overlay(this, 'newRuleForm')"  
     title="Click here to add a new rule" > Add a New Rule</a> |
<img src="<%=imagePath %>plus16.gif"> 
<a href="#" onClick="return overlay(this, 'newActionForm')"  
     title="Click here to add a new rule" > Add a Action</a>        
<p>



<!--Do not remove outer most DIV tag with id="newRuleForm"-->
<DIV id="newRuleForm" style="position:absolute; border: 2px solid #A0370D; background-color: white; width: 400px; padding: 8px; display:none">

    <p><b>Enter a new filter rule</b><br>
    <form action="<%= request.getAttribute("appPath") %>" method="post" id="topform">
    
    	<table>
    		<tr>
				<td><select name="fieldName">
						<option value="5"><%=UserFilterRule.getFieldNameFromId(5) %></option>
						<option value="4"><%=UserFilterRule.getFieldNameFromId(4) %></option>
						<option value="1"><%=UserFilterRule.getFieldNameFromId(1) %></option>
						<option value="2"><%=UserFilterRule.getFieldNameFromId(2) %></option>
						<option value="3"><%=UserFilterRule.getFieldNameFromId(3) %></option>
						<option value="8"><%=UserFilterRule.getFieldNameFromId(8) %></option>
						<option value="7"><%=UserFilterRule.getFieldNameFromId(7) %></option>
						<option value="9"><%=UserFilterRule.getFieldNameFromId(9) %></option>				
					</select> </td>
				<td><select name="oppName">
						<option value="<%=UserFilterRule.OPP_CONTAINS%>"><%=UserFilterRule.OPP_CONTAINS%></option>
						<option value="<%=UserFilterRule.OPP_IS%>"><%=UserFilterRule.OPP_IS%></option>				
						<option value="<%=UserFilterRule.OPP_GREATER_THAN%>"><%=UserFilterRule.OPP_GREATER_THAN%></option>
						<option value="<%=UserFilterRule.OPP_LESS_THAN%>"><%=UserFilterRule.OPP_LESS_THAN%></option>
						<option value="<%=UserFilterRule.OPP_STARTS_WITH%>"><%=UserFilterRule.OPP_STARTS_WITH%></option>
						<option value="<%=UserFilterRule.OPP_ENDS_WITH%>"><%=UserFilterRule.OPP_ENDS_WITH%></option>
						<option value="<%=UserFilterRule.OPP_ANY_VALUE%>"><%=UserFilterRule.OPP_ANY_VALUE%></option>
					</select> </td>
				<td><input type="text" name="ruleValue" size="25" ></td>		
			</tr>
    	</table>
    	<input type="hidden" name="id" value="<%=currentUser.getEmail() %>">
		<input type="hidden" name="operation" value="530">
		<input type="hidden" name="filterName" value="<%=filterName %>">        
		<input type="hidden" name="saveType" value="addRule"> 
        <input value="Save"  type="submit" />
        <input value="Cancel" type="button" onClick="overlayclose('newRuleForm'); return false" />
    </form>
    
    </p>
</DIV>


<p>

<%
if(totalRuleCount > 0){
%>

<h4>List of existing rules</h4>
<table class='brownborder' width="600">

	<tr>
		<th>Seq #</th>
		<th>Field Name</th>
		<th>Operator</th>
		<th>Search String</th>
		<th>Tasks</th>
	</tr>
	<%
	if(currentFilter != null){
		
		
		for(int i = 0; i < currentFilter.getRules().size(); i++){
			UserFilterRule oneRule = (UserFilterRule)currentFilter.getRules().get(i);
			
		%>
			<tr><td><%=(i + 1) %></td>
				<td><%=UserFilterRule.getFieldNameFromId(oneRule.getFieldName()) %></td>
				<td><%=oneRule.getOperator() %></td>
				<td><%=oneRule.getSearchStr() %></td>
				<td>
				  <a href="<%=response.encodeURL("FrontController?operation=531") %>&idx=<%=i %>&type=rule&id=<%=currentUser.getEmail() %>&filterName=<%=currentFilter.getFilterName() %>" title="Delete this rule" >
					<img src="<%=imagePath %>delete16.gif" style="width:16px;height:16px;float:left;margin:2px 0px 0px 4px;border:0px;" />
				  </a>				  
				 </td>
			</tr>
		
		<%
		}
	}
	%>
	
	<tr>
		<td colspan="5">&nbsp;</td>
	</tr>
	<tr>
		<td colspan="5" align="right"><img src="<%=imagePath %>plus16.gif"> <a href="#" onClick="return overlay(this, 'newRuleForm')" title="Click here to add a new rule" > Add a New Rule</a></td>
	</tr>
	
</table>

<%
}


if(totalActionCount > 0){

%>
<h3>List of existing Action</h3>
<table class='brownborder' width="600">
	
	<tr>
	 	<th>Seq #</th>
		<th>Action Type</th>
		<th>Action Value</th>
		<th>Tasks</th>
	</tr>
	

	<%
	if(currentFilter != null){
		for(int i = 0; i < currentFilter.getActions().size(); i++){
			UserFilterAction oneAction = (UserFilterAction)currentFilter.getActions().get(i);
			
		%>
			<tr>
				<td><%=(i + 1) %></td>
				<td><%=oneAction.getActionName() %></td>
				<td><%=oneAction.getActionOpp() %>
				<%= ((oneAction.getActionValue() == null) ? "" : oneAction.getActionValue())%></td>
				<td>
				  <a href="<%=response.encodeURL("FrontController?operation=531") %>&idx=<%=i %>&type=action&id=<%=currentUser.getEmail() %>&filterName=<%=currentFilter.getFilterName() %>" title="Delete this rule">
				  <img src="<%=imagePath %>delete16.gif" style="width:16px;height:16px;float:left;margin:2px 0px 0px 4px;border:0px;" />
				  </a>
				 </td>
			</tr>
		
		<%
		}
	}
	%>
	
	<tr>
		<td colspan="4">&nbsp;</td>
	</tr>
	<tr>
		<td colspan="4" align="right"><img src="<%=imagePath %>plus16.gif"> <a href="#" onClick="return overlay(this, 'newActionForm')" title="Click here to add a new rule" > Add a Action</a></td>
	</tr>
		
</table>


<%
}
%>


<script type="text/javascript">
	
function promptForNewFolder(){
	var comboValue = document.getElementById("actionOppCombo");
	
	if(comboValue.value == "--newFolder--"){
		overlay(comboValue, 'newFolder');
	}
}

function addNewFolder(){
	var vNewFolderName = document.newFolderForm.newFolderName.value; //document.getElementById("newFolderName");
	var vParentFolderName = document.newFolderForm.parentFolder.value;
	
	
	var opt = document.createElement('option');
	opt.text = vParentFolderName + '/' + vNewFolderName;
	opt.selected = true;
	
	
	
	var cmb = document.getElementById("actionOppCombo");
	
	try{
		cmb.add(opt, null);
	}catch(ex){
		cmb.add(opt);
	}
	
	overlayclose('newFolder');
	
	
}




function showHideOptionText(){
	var selectedValue = document.getElementById("actionNameId").value;
	var optionComboBox = document.getElementById("actionOppCombo");
	var optionTextBox = document.getElementById("actionTextId");
	
	if(selectedValue == '<%=UserFilterAction.ACN_FORWARD_TO%>'){
		optionComboBox.style.display = 'none';
		optionTextBox.style.display = 'inline';
	}else if (selectedValue == '<%=UserFilterAction.ACN_DELETE%>'){
		optionComboBox.style.display = 'none';
		optionTextBox.style.display = 'none';
	}else{
		optionComboBox.style.display = 'inline';
		optionTextBox.style.display = 'none';
	}
}


</script>



<!--Do not remove outer most DIV tag with id="newRuleForm"-->
<DIV id="newActionForm" style="position:absolute; border: 2px solid #A0370D; background-color: white; width: 400px; padding: 8px; display:none">

    <p><b>Enter a new filter rule</b><br>
    <form action="<%= request.getAttribute("appPath") %>" method="post" id="topform">
    
    	<table>
    		<tr>
				<td><select name="actionName" onclick="showHideOptionText();" id="actionNameId">		
						<option value="<%=UserFilterAction.ACN_MOVE_TO%>"><%=UserFilterAction.ACN_MOVE_TO%></option>
						<option value="<%=UserFilterAction.ACN_FORWARD_TO%>"><%=UserFilterAction.ACN_FORWARD_TO%></option>	
						<option value="<%=UserFilterAction.ACN_DELETE%>"><%=UserFilterAction.ACN_DELETE%></option>			
					</select>	
				 </td>
				<td><select name="actionOpp" onclick="promptForNewFolder();" id="actionOppCombo">
						
						
						<%
							List folders = currentUser.getFolders().listAllMailBoxes();
						
							for(int i = 0; i < folders.size(); i++){
								String oneFolder = folders.get(i).toString();
								out.println("<option value='" + oneFolder + "'>" + oneFolder + "</option>");
							}
						%>
						
						<option value='--newFolder--'>--Create New Folder--</option>
					</select> 	 
					
					<input type='text' name='actionText' id='actionTextId' value="" />
				</td>
					
			</tr>
    	</table>
    	<input type="hidden" name="id" value="<%=currentUser.getEmail() %>">
		<input type="hidden" name="operation" value="530">        
		<input type="hidden" name="saveType" value="addAction"> 
		<input type="hidden" name="filterName" value="<%=filterName %>"> 
        <input value="Save"  type="submit" />
        <input value="Cancel" type="button" onClick="overlayclose('newActionForm'); return false" />
    </form>
    
    </p>
</DIV>






<!--Do not remove outer most DIV tag with id="newRuleForm"-->
<DIV id="newFolder" style="position:absolute; border: 2px solid #A0370D; background-color: white; width: 400px; padding: 8px; display:none">

    <p><b>Select a parent folder and specify a new folder name.</b><br>
    <form method="post" action="#" name="newFolderForm">
    
    	<table>
    		<tr>
				
				<td><select name="parentFolder" id="parentFolderId">
						<%
							for(int i = 0; i < folders.size(); i++){
								String oneFolder = folders.get(i).toString();
								out.println("<option value='" + oneFolder + "'>" + oneFolder + "</option>");
							}
						%>
					</select> 	 
				</td>
					
				<td>
					<input type="text" name="newFolderName" value="" /> 	
				</td>
			</tr>
    	</table>
    	<input value="Ok" type="button" onClick="addNewFolder(); return false" />
        <input value="Cancel" type="button" onClick="overlayclose('newFolder'); return false" />
    </form>
    
    </p>
</DIV>






	
<p>		

<form action="<%= request.getAttribute("appPath") %>" method="post">
<table width="100%" border='0'>
	<tr>
		<td align="center" width="50">&nbsp;</td>
		<td align="center" width="50"><input type="submit" value="Close" title="Click here to close this screen"></td>
		<td align="center" width="50">&nbsp;</td>
	</tr>
</table>

<input type="hidden" name="operation" value="527" />
<input type="hidden" name="id" value="<%=currentUser.getEmail() %>" />
</form>	
	
</p>




<script type="text/javascript">
showHideOptionText();
</script>

</td></tr></table>
	 </td>
    <%@ include file="InnerRightGrey.jsp" %>
	</tr>
</table>

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>

